package com.muyu.data.source;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * MuYuDataSourceApplication
 *
 * @author DeKangLiu
 * on 2024/4/20
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class MuYuDataSourceApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuDataSourceApplication.class, args);
    }
}
